#
Summary: A /etc/apt/sources.list file that points to SL 301 on linux21.fnal.gov
Name: apt-sourceslist
Version: SL.3.0.1
Release: 2
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Connie Sieh
requires: apt
%description

Provides a /etc/apt/sources.list file that points to the ftp://linux21.fnal.gov/linux/scientific/301/i386/ area.

%files
%post
# This modifies /etc/apt/sources.list to add ftp://linux21.fnal.gov/linux/scientific/301/i386/
#
# This assumes this is the apt-rpm from Freshrpms which is what we have now
grep -q "^rpm http://ayo.freshrpms.net" /etc/apt/sources.list
if [ $? -eq 0 ] ; then
	cp /etc/apt/sources.list /etc/apt/sources.list.freshrpms
        cat /etc/apt/sources.list | sed 's,^rpm http://ayo.freshrpms.net,#rpm http://ayo.freshrpms.net,'  > /etc/apt/sources.list.tmp
else
	cp /etc/apt/sources.list /etc/apt/sources.list.onebefore
fi
grep -q "^rpm ftp://linux21.fnal.gov" /etc/apt/sources.list
if [ $? -eq 1 ] ; then
	echo "#apt-rpm pointing to SL" >> /etc/apt/sources.list.tmp
	echo "rpm ftp://linux21.fnal.gov/linux scientific/301/i386/apt-rpm os updates contrib notsupported" >> /etc/apt/sources.list.tmp
fi
if [ -f /etc/apt/sources.list.tmp ] ; then
	mv -f /etc/apt/sources.list.tmp /etc/apt/sources.list
fi

%postun
if [ "$1" = "0" ] ; then
	#
	mv -f /etc/apt/sources.list.freshrpms /etc/apt/sources.list
fi
